org.apache.xmlbeans.impl.xb.xsdschema

## Interface OpenAttrs

All Superinterfaces:
  XmlObject, XmlTokenSource

All Known Subinterfaces:
  All, Annotated, AnnotationDocument.Annotation, AnyDocument.Any, Attribute, AttributeGroup, AttributeGroupRef, ComplexContentDocument.ComplexContent, ComplexRestrictionType, ComplexType, Element, ExplicitGroup, ExtensionType, Facet, FieldDocument.Field, Group, GroupRef, ImportDocument.Import, IncludeDocument.Include, Keybase, KeyrefDocument.Keyref, ListDocument.List, LocalComplexType, LocalElement, LocalSimpleType, NamedAttributeGroup, NamedGroup, NamedGroup.All, NarrowMaxMin, NoFixedFacet, NotationDocument.Notation, NumFacet, PatternDocument.Pattern, RealGroup, RedefineDocument.Redefine, RestrictionDocument.Restriction, RestrictionType, SchemaDocument.Schema, SelectorDocument.Selector, SimpleContentDocument.SimpleContent, SimpleExplicitGroup, SimpleExtensionType, SimpleRestrictionType, SimpleType, TopLevelAttribute, TopLevelComplexType, TopLevelElement, TopLevelSimpleType, TotalDigitsDocument.TotalDigits, UnionDocument.Union, WhiteSpaceDocument.WhiteSpace, Wildcard

All Known Implementing Classes:
  AllImpl, AnnotatedImpl, AnnotationDocumentImpl.AnnotationImpl, AnyDocumentImpl.AnyImpl, AttributeGroupImpl, AttributeGroupRefImpl, AttributeImpl, ComplexContentDocumentImpl.ComplexContentImpl, ComplexRestrictionTypeImpl, ComplexTypeImpl, ElementImpl, ExplicitGroupImpl, ExtensionTypeImpl, FacetImpl, FieldDocumentImpl.FieldImpl, GroupImpl, GroupRefImpl, ImportDocumentImpl.ImportImpl, IncludeDocumentImpl.IncludeImpl, KeybaseImpl, KeyrefDocumentImpl.KeyrefImpl, ListDocumentImpl.ListImpl, LocalComplexTypeImpl, LocalElementImpl, LocalSimpleTypeImpl, NamedAttributeGroupImpl, NamedGroupImpl, NamedGroupImpl.AllImpl, NarrowMaxMinImpl, NoFixedFacetImpl, NotationDocumentImpl.NotationImpl, NumFacetImpl, OpenAttrsImpl, PatternDocumentImpl.PatternImpl, RealGroupImpl, RedefineDocumentImpl.RedefineImpl, RestrictionDocumentImpl.RestrictionImpl, RestrictionTypeImpl, SchemaDocumentImpl.SchemaImpl, SelectorDocumentImpl.SelectorImpl, SimpleContentDocumentImpl.SimpleContentImpl, SimpleExplicitGroupImpl, SimpleExtensionTypeImpl, SimpleRestrictionTypeImpl, SimpleTypeImpl, TopLevelAttributeImpl, TopLevelComplexTypeImpl, TopLevelElementImpl, TopLevelSimpleTypeImpl, TotalDigitsDocumentImpl.TotalDigitsImpl, UnionDocumentImpl.UnionImpl, WhiteSpaceDocumentImpl.WhiteSpaceImpl, WildcardImpl

    public interface OpenAttrs
    extends XmlObject

An XML openAttrs(@http://www.w3.org/2001/XMLSchema). This is a complex type.

### Field Summary

Fields
`static DocumentFactory<OpenAttrs>` `Factory`
`static SchemaType` `type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final DocumentFactory<OpenAttrs> Factory

#### type

    static final SchemaType type